kr.co.hanwha.hifive.screen.intro.contract

## Interface IntroContract.View

- All Superinterfaces:
    BaseView<IntroContract.Presenter>
  All Known Implementing Classes:
    IntroActivity
  Enclosing interface:
    IntroContract

      public static interface IntroContract.View
      extends BaseView<IntroContract.Presenter>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `initCallback()`
    `void` | `initLayout()`
    `void` | `initPresenter()`
    `void` | `playLogoAnimation()` Icon Animation
    `void` | `showAccountLogin()` 아이디 / 패스워드 로그인
    `void` | `showAlertAccountMessage(java.lang.String message)` 에러 메세지 표시 - 계정 로그인
    `void` | `showAlertSimpleMessage(java.lang.String message)` 에러 메세지 표시 - 간편 로그인
    `void` | `showSimpleLogin()` 간편 로그인

    - ### Methods inherited from interface kr.co.hanwha.hifive.base.BaseView

      `showAlert, showAlert, showAlert, showAlert, showAlert, showAlert, showLoadingDialog, showToast, showToastAlert, showToastConfirm, showToastEmpty, showToastImpossible`

- - ### Method Detail

    - #### initLayout

          void initLayout()

    - #### initPresenter

          void initPresenter()

    - #### initCallback

          void initCallback()

    - #### showAlertSimpleMessage

          void showAlertSimpleMessage(java.lang.String message)

      에러 메세지 표시 - 간편 로그인
      Parameters:
        `message` -

    - #### showAlertAccountMessage

          void showAlertAccountMessage(java.lang.String message)

      에러 메세지 표시 - 계정 로그인
      Parameters:
        `message` -

    - #### playLogoAnimation

          void playLogoAnimation()

      Icon Animation

    - #### showSimpleLogin

          void showSimpleLogin()

      간편 로그인

    - #### showAccountLogin

          void showAccountLogin()

      아이디 / 패스워드 로그인